For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesChangelog
ReferenceGuidesChangelog
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
    • POSTResolve ID Token
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
      • GETList Form Submissions
      • GETGet Form Submission
      • GETList Form Submissions by Site
      • PATCHModify Form Submission
      • DELDelete Form Submission
  • Custom Code
  • Assets
  • Comments
    • GETSearch Users by Email
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
    • POSTCreate Comment Reply
  • Ecommerce
  • Webhooks
  • Site Configuration
  • Enterprise
  • App Subscriptions
    • GETGet app subscriptions
LogoLogo
Resources
Get started
FormsForm submissions

List Form Submissions

GET
https://api.webflow.com/beta/sites/:site_id/forms/:form_id/submissions
GET
/beta/sites/:site_id/forms/:form_id/submissions
$curl -G https://api.webflow.com/beta/sites/site_id/forms/580e63e98c9a982ac9b8b741/submissions \
> -H "Authorization: Bearer <token>" \
> -d offset=0 \
> -d limit=100
1{
2 "formSubmissions": [
3 {
4 "id": "6321ca84df3949bfc6752327",
5 "displayName": "Sample Form",
6 "siteId": "62749158efef318abc8d5a0f",
7 "workspaceId": "62749158efef318abc8d5a0f",
8 "dateSubmitted": "2022-09-14T12:35:16.117Z",
9 "formResponse": {
10 "First Name": "Arthur",
11 "Last Name": "Dent"
12 },
13 "localeId": "6a0cb90f3ecc9d3d47ca8b5b",
14 "formId": "6321ca84df3949bfc6752327"
15 },
16 {
17 "id": "660d64fabf6e0a0d4edab981",
18 "displayName": "Sample Form",
19 "siteId": "62749158efef318abc8d5a0f",
20 "workspaceId": "62749158efef318abc8d5a0f",
21 "dateSubmitted": "2022-09-14T12:35:16.117Z",
22 "formResponse": {
23 "First Name": "Ford",
24 "Last Name": "Prefect"
25 },
26 "localeId": null,
27 "formId": "6321ca84df3949bfc6752327"
28 }
29 ],
30 "pagination": {
31 "limit": 25,
32 "offset": 0,
33 "total": 2
34 }
35}
List form submissions for a given form <Note title="Forms in components"> When a form is used in a component definition, each instance of the form is considered a unique form. To get a combined list of submissions for a form that appears across multiple component instances, use the [List Form Submissions by Site](/data/reference/forms/form-submissions/list-submissions-by-site) endpoint. </Note> Required scope | `forms:read`
Was this page helpful?
Previous

Get Form Submission

Next
Built with

List form submissions for a given form

Forms in components

When a form is used in a component definition, each instance of the form is considered a unique form.

To get a combined list of submissions for a form that appears across multiple component instances, use the List Form Submissions by Site endpoint.

Required scope | forms:read

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

form_idstringRequiredformat: "objectid"
Unique identifier for a Form
site_idstringRequired

Query parameters

offsetintegerOptional
Offset used for pagination if the results have more than limit records
limitintegerOptional

Maximum number of records to be returned (max limit: 100)

Response

Request was successful
formSubmissionslist of objects
paginationobject
Pagination object

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error